Search for free slots
curl --request GET \
--url https://api.splose.com/v1/free-slots \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/free-slots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/free-slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"practitionerId": 1,
"slots": [
{
"start": "2024-01-01T09:00:00.000Z",
"end": "2024-01-01T09:30:00.000Z"
}
]
}
]
}Free slots
Search for free slots
Search for bookable free slots for one or more practitioners at a location, for a given single patient service.
Search for free slots
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The id of the service to search free slots for
Required range:
x > 0Example:
1
The id of the location to search free slots at
Required range:
x > 0Example:
1
Minimum array length:
1Required range:
x > 0Start of the search window (UTC)
Example:
"2024-01-01T00:00:00.000Z"
End of the search window (UTC), up to 7 days after from
Example:
"2024-01-02T00:00:00.000Z"
Slot step in minutes
Example:
15
Response
An array of free slots per practitioner
Show child attributes
Show child attributes